Support » Plugin: Amazon Polly for WordPress » Please verify your AWS Credentials are accurate

  • Resolved jbuscema

    (@jbuscema)



    Followed the instructions to create the policy. Added access and secret and the page just says “Please verify your AWS Credentials are accurate”

Viewing 14 replies - 1 through 14 (of 14 total)
  • Plugin Author awslabs

    (@awslabs)

    Hi!,
    It would mean for the plugin, there is still something wrong with the credentials. Could you make sure that the proper policy is assign to the user? You could also try to log to AWS using this user credentials (login & password will need to be created, and then test if you have got access to Polly and S3).

    Cheers,
    Tomasz

    The policy that is in the documentation doesn’t seem to be accurate. I quickly changed the policy to full admin and I was able to log into S3, but the plugin still did not work with the updated full admin policy. Obviously I would not keep it that way but I just want to test it out. Not sure what I am doing wrong.

    Policy I attached to the wordpress user:

    {
    “Version”: “2012-10-17”,
    “Statement”: [
    {
    “Sid”: “Permissions1”,
    “Effect”: “Allow”,
    “Action”: [
    “s3:HeadBucket”,
    “polly:SynthesizeSpeech”,
    “polly:DescribeVoices”
    ],
    “Resource”: “*”
    },
    {
    “Sid”: “Permissions2”,
    “Effect”: “Allow”,
    “Action”: [
    “s3:ListBucket”,
    “s3:GetBucketAcl”,
    “s3:GetBucketPolicy”,
    “s3:PutObject”,
    “s3:DeleteObject”,
    “s3:CreateBucket”,
    “s3:PutObjectAcl”
    ],
    “Resource”: “arn:aws:s3:::audio_for_wordpress*”
    }
    ]
    }

    Plugin Contributor tstachlewski

    (@tstachlewski)

    Hi!
    Could you also make sure that you are using ‘Programmatic access’ keys, and not standard login & password? I also wrote an email to you regarding this. Happy to discuss it offline with you.

    Cheers,
    Tomasz

    Tomasz,

    I am using programmatic. I don’t see an email from you but I am happy to discuss offline.

    Jason

    I am having the same issue, using the same policy. I’ve checked IAM logs and it doesn’t appear the plugin is even hitting IAM to authenticate.

    If you’re getting that error you may have missed a Step:

    amazon-polly-wordpress-plugin

    6. On the second step of the wizard provide the name for your policy: PollyForWordPressPolicy and create it.
    7. The next step will be to create an IAM User. To do this, on the left menu choose ‘Users’ label. There click on ‘Add User’ button.
    8. Provide a name for your user, for example, “WordPress” and select “Programmatic access” option. Go to the step number 2.
    9. On the “Permission” step, choose ‘Attach existing policies directly’ option, and then on the list provide the name of the policy which we have created in step 6 (PollyForWordPressPolicy).
    10. On the “Review” step click on “Create User” button.
    11. On step, you will see information that the user was created. You need to note “Access key ID” and “Secret access Key” – you will need to provide them on the plugin configuration page.

    It doesn’t matter what you name your User (this is a Managed Policy User) I named mine after the client’s Blog. You DO NOT Use your Admin or any other human user for this.

    Once you have created that User you attach the PollyForWordPress Policy and use the credentials you created for that User.

    Bounced nginx and it resolved the issue for me. Possible caching problem.

    @smb-dev I followed the guide to the T and checked my policy. It’s correct and I am using the correct secret/access but still have the same problem. I also restarted apache, cleared cache, etc. Still getting the same error message.

    jbuscema

    (@jbuscema)

    @smb-dev @tstachlewski @awslabs Wondering if you have any update on my issue. I was able to log into the AWS console using my IAM user I setup per the guide. I cleared cache on my server and even restarted apache, but I still have the “Please verify your AWS Credentials are accurate” message in WordPress. Again, I followed the setup guide and policy creation exactly. Not sure what else I can do.

    Plugin Contributor tstachlewski

    (@tstachlewski)

    @jbuscema – could you write me an email: stachlew @ amazon . com – I would like to schedule call maybe with you to try to fix it.

    Cheers,
    Tomasz

    @tstachlewski I was able to get it working by changing the policy a bit. The policy I used is different from the one in the doc. Below is the policy I am using now that solved the issue. Additionally, a few of the other issues that were preventing me from using the plugin were resolved in the latest update.

    {
    “Version”: “2012-10-17”,
    “Statement”: [
    {
    “Sid”: “Permissions1”,
    “Effect”: “Allow”,
    “Action”: [
    “s3:HeadBucket”,
    “polly:DescribeVoices”,
    “polly:GetLexicon”,
    “polly:PutLexicon”,
    “polly:SynthesizeSpeech”,
    “polly:ListLexicons”
    ],
    “Resource”: “*”
    },
    {
    “Sid”: “Permissions2”,
    “Effect”: “Allow”,
    “Action”: [
    “s3:ListBucket”,
    “s3:GetBucketAcl”,
    “s3:GetBucketPolicy”,
    “s3:PutObject”,
    “s3:DeleteObject”,
    “s3:CreateBucket”,
    “s3:PutObjectAcl”
    ],
    “Resource”: “arn:aws:s3:::audio_for_wordpress*”
    }
    ]
    }

    Plugin Contributor tstachlewski

    (@tstachlewski)

    Good to hear that it’s working now!

    Hi. What was the resolution to this issue?

    @streetfight_888 I needed to use a slightly different policy to resolve the issue. The other issues I was having where resolved in one of the latest updates. Here is the policy I am using that works:

    {
    “Version”: “2012-10-17”,
    “Statement”: [
    {
    “Sid”: “Permissions1”,
    “Effect”: “Allow”,
    “Action”: [
    “s3:HeadBucket”,
    “polly:DescribeVoices”,
    “polly:GetLexicon”,
    “polly:PutLexicon”,
    “polly:SynthesizeSpeech”,
    “polly:ListLexicons”
    ],
    “Resource”: “*”
    },
    {
    “Sid”: “Permissions2”,
    “Effect”: “Allow”,
    “Action”: [
    “s3:ListBucket”,
    “s3:GetBucketAcl”,
    “s3:GetBucketPolicy”,
    “s3:PutObject”,
    “s3:DeleteObject”,
    “s3:CreateBucket”,
    “s3:PutObjectAcl”
    ],
    “Resource”: “arn:aws:s3:::audio_for_wordpress*”
    }
    ]
    }

Viewing 14 replies - 1 through 14 (of 14 total)
  • The topic ‘Please verify your AWS Credentials are accurate’ is closed to new replies.